<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">
    <!-- required设置为true,无相机设备google play上不会分发 -->
    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_DATA_SYNC" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="com.android.launcher.permission.INSTALL_SHORTCUT" />

    <queries>
        <intent>
            <action android:name="android.intent.action.MAIN" />
        </intent>
        <intent>
            <action android:name="android.intent.action.VIEW" />
        </intent>
    </queries>

    <application
        android:name=".MyApplication"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/logo"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.BrowserWhite"
        android:usesCleartextTraffic="true"
        tools:targetApi="34">
        <activity
            android:name=".ui.activity.bookmark.BookmarkFolderAddActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.bookmark.BookmarkFolderActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.bookmark.BookmarkEditActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.bookmark.BookmarkActivity"
            android:exported="false" />

        <receiver
            android:name=".ui.widget.BrowserAppWidget"
            android:exported="false">
            <intent-filter>
                <action android:name="android.appwidget.action.APPWIDGET_UPDATE" />
            </intent-filter>

            <meta-data
                android:name="android.appwidget.provider"
                android:resource="@xml/browser_app_widget_info" />
        </receiver>

        <activity
            android:name=".ui.activity.splash.Splash2Activity"
            android:exported="true"
            android:launchMode="singleTask"
            android:theme="@style/splash.theme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.activity.MainActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.about.AboutActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.webbrowser.WebBrowserActivity"
            android:exported="true"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <!-- 接受网页链接 -->
                <data android:scheme="http" />
                <data android:scheme="https" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.activity.feedback.FeedbackActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.weather.WeatherInterface"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.appprocess.AppProcessActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.scanqrc.QrcResultActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.download.WebDownloadManagerActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.download.WebDownloadGuideActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.news.NewsDetailActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.result.ResultActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.cleanjunk.CleaningActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.cleanjunk.ScanJunkActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.mediabrowser.MediaVideoDetailActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.mediabrowser.MediaImageDetailActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.mediabrowser.MediaBrowserActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.webstore.WebStoreActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.scanqrc.ScanQRCActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.news.NewsActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.labelstack.LabelStackActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />
        <activity
            android:name=".ui.activity.SearchActivity"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.base.browserwhite.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <service
            android:name=".service.StayNotificationService"
            android:foregroundServiceType="dataSync" />
        <service
            android:name=".fcm.MessagingService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

        <receiver
            android:name=".fcm.FcmReceiver"
            android:exported="true"
            android:permission="com.google.android.c2dm.permission.SEND">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
                <action android:name="com.google.android.c2dm.intent.RECEIVE" />

                <category android:name="com.test.easy.cleanerjunk" />
            </intent-filter>
        </receiver>

        <meta-data
            android:name="com.google.android.gms.ads.APPLICATION_ID"
            android:value="ca-app-pub-3940256099942544~3347511713" />
        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id" />
    </application>

</manifest>